<html>
    <head>
        <meta charset="UTF-8">
    </head>
    <body>
        <script>
            function generate(upper) {
                var xhttp = new XMLHttpRequest();
                xhttp.onreadystatechange = function() {
                    if (this.readyState == 4 && this.status == 200) {
                        document.getElementById("uuid").innerHTML = this.responseText;
                    }
                };
                xhttp.open("POST", "/generate", true);
                xhttp.setRequestHeader("Content-type", "application/json");
                var request = { uppercase: upper };
                xhttp.send(JSON.stringify(request));
            }
        </script>

        <h2>Random UUID:</h2>
        <h1>
            <div id="uuid"></div>
        </h1>
        <input type="button" value="Kisbetűs generálás" onclick="generate(false)">
        <input type="button" value="Nagybatűs generálás" onclick="generate(true)">
    </body>
</html>